package com.fs.hisStore.mapper;

import java.util.List;
import com.fs.hisStore.domain.FsAdvScrm;
import com.fs.hisStore.vo.FsAdvListQueryVO;
import org.apache.ibatis.annotations.Select;

/**
 * 广告Mapper接口
 *
 * @author fs
 * @date 2022-05-28
 */
public interface FsAdvScrmMapper
{
    /**
     * 查询广告
     *
     * @param advId 广告ID
     * @return 广告
     */
    public FsAdvScrm selectFsAdvById(Long advId);

    /**
     * 查询广告列表
     *
     * @param fsAdv 广告
     * @return 广告集合
     */
    public List<FsAdvScrm> selectFsAdvList(FsAdvScrm fsAdv);

    /**
     * 新增广告
     *
     * @param fsAdv 广告
     * @return 结果
     */
    public int insertFsAdv(FsAdvScrm fsAdv);

    /**
     * 修改广告
     *
     * @param fsAdv 广告
     * @return 结果
     */
    public int updateFsAdv(FsAdvScrm fsAdv);

    /**
     * 删除广告
     *
     * @param advId 广告ID
     * @return 结果
     */
    public int deleteFsAdvById(Long advId);

    /**
     * 批量删除广告
     *
     * @param advIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsAdvByIds(Long[] advIds);

    @Select("select * from fs_adv where adv_type=#{advType} and status=1 order by sort desc")
    List<FsAdvListQueryVO> selectFsAdvListQuery(Integer advType);
}
